com.fasterxml.jackson.databind.cfg

## Class MutableConfigOverride

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.ConfigOverride
  - - com.fasterxml.jackson.databind.cfg.MutableConfigOverride

- All Implemented Interfaces:
    Serializable

      public class MutableConfigOverride
      extends ConfigOverride
      implements Serializable

  Extension of `ConfigOverride` that allows changing of contained configuration settings. Exposed to `Module`s that want to set overrides, but not exposed to functionality that wants to apply overrides.
  Since:
    2.8
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.cfg.ConfigOverride

      `_format, _ignorals, _include, _isIgnoredType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MutableConfigOverride()`
    `protected` | `MutableConfigOverride(MutableConfigOverride src)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected MutableConfigOverride` | `copy()`
    `MutableConfigOverride` | `setFormat(JsonFormat.Value v)`
    `MutableConfigOverride` | `setIgnorals(JsonIgnoreProperties.Value v)`
    `MutableConfigOverride` | `setInclude(JsonInclude.Value v)`
    `MutableConfigOverride` | `setIsIgnoredType(Boolean v)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.cfg.ConfigOverride

      `getFormat, getIgnorals, getInclude, getIsIgnoredType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableConfigOverride

          public MutableConfigOverride()

    - #### MutableConfigOverride

          protected MutableConfigOverride(MutableConfigOverride src)

  - ### Method Detail

    - #### copy

          protected MutableConfigOverride copy()

    - #### setFormat

          public MutableConfigOverride setFormat(JsonFormat.Value v)

    - #### setInclude

          public MutableConfigOverride setInclude(JsonInclude.Value v)

    - #### setIgnorals

          public MutableConfigOverride setIgnorals(JsonIgnoreProperties.Value v)

    - #### setIsIgnoredType

          public MutableConfigOverride setIsIgnoredType(Boolean v)

Copyright © 2008–2016 FasterXML. All rights reserved.